ANN: bucklescript is developed against ocaml 4.6.1 by default, call for testing against bs-platform@6.2.2-flambda-uniform-array.1


#1

Finally since this week, we start develop the compiler against 4.06.1 by default.

At the same time, we want to evaluate some optimizations provided by native compiler upstream.

We made a release version 6.2.2-flambda-uniform-array.1 (for Mac/Linux, github link https://github.com/BuckleScript/bucklescript/pull/3908) where the native compiler is configured with -flambda and -no-flat-float-array, we would like to hear your feedback on its performance against 6.2.1, ideally, this should make bsb and bsc running faster, but it needs to backed by some real data, feedback is much appreciated!


#2

Kind of typo in the title here : 4.6.1 -> 4.06.1

It’s mathematically valid, but a bit confusing :slight_smile:


#3

@bobzhang what’s the best place to give you feedback if we have it? In the issue? or in this thread?